Load Balancer
Update Load Balancer
patch
/loadbalancer/{lb_uuid}Update a Load Balancer's settings.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
lb_uuid*string
Request body
Update a Load Balancer
application/jsonRequired
name?string | null
Range
1 ≤ length ≤ 100label?string | null
Range
length ≤ 255Responses
Successful Response
application/json
uuid*string
name*string
label?string | null
status*string
plan*LBPlanDetailOut
Plan the Load Balancer runs on.
Properties (7)
uuid*string
name*string
description?string | null
price_per_hour*number
max_targets?integer | null
max_listeners?integer | null
connections_per_second?integer | null
location_name?string | null
project_id?integer | null
project_name?string | null
floating_ip?LBFloatingIPSummaryOut | null
Primary public IP of the Load Balancer.
Properties (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
listeners?array<LBListenerSummaryOut>
Properties (7)
uuid*string
name*string
protocol?string | null
source_port*integer
target_port*integer
enabled?boolean | null
targets_count?integer
Default
0protected?boolean
Default
falsecreated_at?string | null
updated_at?string | null